package com.ruoyi.web.controller.pc;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.system.domain.TDownloadZip;
import com.ruoyi.system.domain.THospital;
import com.ruoyi.system.domain.resp.THospitalPageResp;
import com.ruoyi.system.service.ITDownloadZipService;
import com.ruoyi.system.service.ITHospitalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 医院信息Controller
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
@Api("pc-下载列表")
@RestController
@RequestMapping("/system/downloadZip")
public class TDownloadZipController extends BaseController
{
    @Autowired
    private ITDownloadZipService itDownloadZipService;

    /**
     * 查询医院信息列表
     */
    @ApiOperation("查询医院信息列表")
    @PostMapping("/list")
    @Log(title = "查询医院信息列表", businessType = BusinessType.OTHER)
    public TableDataInfo list(@RequestBody TDownloadZip tDownloadZip)
    {
        startPage();
        List<TDownloadZip> list = itDownloadZipService.queryByPage(tDownloadZip);
        return getDataTable(list);
    }

}
